# Future.h File Reference

`#include "ace/Unbounded_Set.h"`
`#include "ace/Strategies_T.h"`
`#include "ace/Recursive_Thread_Mutex.h"`
`#include "ace/Condition_Recursive_Thread_Mutex.h"`
`#include "ace/Future.cpp"`

Include dependency graph for Future.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Future_Holder< T >
| Implementation of object that holds an ACE_Future. More...
class | ACE_Future_Observer< T >
| ACE_Future_Observer<T>. More...
class | ACE_Future_Rep< T >
| ACE_Future_Rep<T>. More...
class | ACE_Future< T >
| This class implements a ``single write, multiple read'' pattern that can be used to return results from asynchronous method invocations. More...

## Detailed Description

Id
  Future.h,v 4.52 2006/02/10 09:50:14 jwillemsen Exp

Author:
  Andres Kruse <Andres.Kruse@cern.ch>

  Douglas C. Schmidt <schmidt@cs.wustl.edu>

  Per Andersson <Per.Andersson@hfera.ericsson.se> and

  John Tucker <johnny_tucker@yahoo.com>